<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent" >

        <cn.bingoogolapple.qrcode.zxing.ZXingView
            android:id="@+id/zxingview"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:qrcv_animTime="1000"
            app:qrcv_barCodeTipText="將條碼放入框內,即可自動掃描"
            app:qrcv_barcodeRectHeight="120dp"
            app:qrcv_borderColor="@android:color/white"
            app:qrcv_borderSize="1dp"
            app:qrcv_cornerColor="@color/colorPrimaryDark"
            app:qrcv_cornerDisplayType="center"
            app:qrcv_cornerLength="20dp"
            app:qrcv_cornerSize="3dp"
            app:qrcv_customScanLineDrawable="@mipmap/qrcode_default_scan_line"
            app:qrcv_isAutoZoom="true"
            app:qrcv_isBarcode="false"
            app:qrcv_isOnlyDecodeScanBoxArea="false"
            app:qrcv_isScanLineReverse="true"
            app:qrcv_isShowDefaultGridScanLineDrawable="false"
            app:qrcv_isShowDefaultScanLineDrawable="true"
            app:qrcv_isShowLocationPoint="true"
            app:qrcv_isShowTipBackground="true"
            app:qrcv_isShowTipTextAsSingleLine="false"
            app:qrcv_isTipTextBelowRect="false"
            app:qrcv_maskColor="@color/trans"
            app:qrcv_qrCodeTipText="將二維碼/條碼框內,即可自動掃描"
            app:qrcv_rectWidth="200dp"
            app:qrcv_scanLineColor="@color/colorPrimaryDark"
            app:qrcv_scanLineMargin="0dp"
            app:qrcv_scanLineSize="0.5dp"
            app:qrcv_tipTextColor="@android:color/white"
            app:qrcv_tipTextSize="12sp"
            app:qrcv_toolbarHeight="56dp"
            app:qrcv_topOffset="65dp"
            app:qrcv_verticalBias="-1" />

        <TextView
            android:id="@+id/btn_album"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dp_10"
            android:text="相冊"
            android:paddingLeft="@dimen/normal_space12"
            android:paddingRight="@dimen/normal_space12"
            android:paddingTop="@dimen/normal_space5"
            android:paddingBottom="@dimen/normal_space5"
            android:textColor="@color/white"
            android:layout_below="@+id/topbar"
            android:layout_marginTop="@dimen/head_height"
            android:background="@drawable/shape_delivery_item_btn_normal"
            android:textSize="@dimen/font_normal2"
            android:layout_gravity="right"/>
<!--        </LinearLayout>-->
    </FrameLayout>
</LinearLayout>